Bug 187877 - segfaults from udev
segfaults from udev
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-04-04 04:48 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0382
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
udev-039-dircheck.patch (392 bytes, patch)
2006-04-04 04:48 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-04-04 04:48:35 EDT
The patch originally correcting the bug and commmitted to Fedora is attached below.

+++ This bug was initially created as a clone of Bug #143367 +++

Description of problem:

I am collecting from time to time, although I cannot tell in advance
when this will happen, segfault messages like the following.

This one happened during a startup:

....
lp0: console ready
udev[2098]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
kjournald starting.  Commit interval 5 seconds
....

and this showed up after 'telinit 1'

....
unloading Kernel Card Services
udev[31336]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
udev[31341]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
......

Version-Release number of selected component (if applicable):
udev-048-2

How reproducible:
I have seen that a number of times but I cannot predict what
will trigger that if at all.
Comment 1 Bastien Nocera 2006-04-04 04:48:35 EDT
Created attachment 127280 [details]
udev-039-dircheck.patch
Comment 5 Harald Hoyer 2006-04-18 07:41:36 EDT
please test:
ftp://people.redhat.com/harald/udev/039-10.14.EL4/
Comment 10 Red Hat Bugzilla 2006-08-10 17:17:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0382.html

Note You need to log in before you can comment on or make changes to this bug.